
#include <s11n.net/s11n/s11n_node.hpp>
#include <s11n.net/s11n/io/sqlite3/sqlite3_serializer.hpp>
#include <s11n.net/s11n/io/serializers.hpp> // register_serializer()

namespace {

	/**
		Register sqlite3_serializer with the s11nlite
		Serializer classloader.
	*/
        void sqlite3_serializer_registration_init()
        {

		std::string classname( "s11n::io::sqlite3::sqlite3_serializer" );
#define SERINST(NodeT)                                  \
                ::s11n::io::register_serializer< ::s11n::io::sqlite3::sqlite3_serializer< NodeT > >( classname, "sqlite3" ); \
		::s11n::cl::classloader_alias< ::s11n::io::sqlite3::sqlite3_serializer< NodeT > >( "-- s11n::io::sqlite3::sqlite3_serializer", classname );

                SERINST(s11n::s11n_node);
#undef SERINST
        }

        const int sqlite3_reg_placeholder = 
                ( sqlite3_serializer_registration_init(), 1 );



} // anonymous namespace
